Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws.impl
Class SimpleManageabilityCharacteristics

    java.lang.Object
      org.apache.muse.core.AbstractCapability
          org.apache.muse.ws.resource.impl.AbstractWsResourceCapability
              org.apache.muse.ws.dm.muws.impl.AbstractManageabilityCapability
                  org.apache.muse.ws.dm.muws.impl.SimpleManageabilityCharacteristics

All Implemented Interfaces:
  Capability, Initialization, InitializationParameters, ManageabilityCapability, ManageabilityCharacteristics, Shutdown, WsResourceCapability, org.apache.muse.ws.resource.WsResourceCapabilityProperties

public class SimpleManageabilityCharacteristics
extends AbstractManageabilityCapability
implements ManageabilityCharacteristics

SimpleManageabilityCharacteristics is Muse's default implementation of the WSDM ManageabilityCharacteristics capability.

Author:
  Dan Jemiolo (danj)

Field Summary

Fields inherited from interface org.apache.muse.ws.dm.muws.ManageabilityCharacteristics
`PROPERTIES`

Constructor Summary
`SimpleManageabilityCharacteristics()`

Method Summary
`void` | `addManageabilityCapability(java.lang.String capabilityURI)`
`java.lang.String[]` | `getManageabilityCapability()`
`QName[]` | `getPropertyNames()` Concrete capability classes that define properties MUST override this method and provide the names of the properties.
`boolean` | `hasManageabilityCapability(java.lang.String capabilityURI)`

Methods inherited from class org.apache.muse.ws.dm.muws.impl.AbstractManageabilityCapability
`initializeCompleted`

Methods inherited from class org.apache.muse.ws.resource.impl.AbstractWsResourceCapability
`createGettersAndSetters, deleteProperty, getGetter, getProperty, getPropertyElements, getSetter, getWsResource, initialize, insertProperty, invokeMethod, setResource, updateProperty`

Methods inherited from class org.apache.muse.core.AbstractCapability
`getActions, getCapabilityURI, getEnvironment, getInitializationParameter, getInitializationParameters, getLog, getMessageHandler, getPersistence, getResource, hasBeenInitialized, hasBeenShutdown, prepareShutdown, setCapabilityURI, setEnvironment, setInitializationParameters, setLog, setMessageHandler, setMessageHandlers, setPersistence, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.muse.ws.resource.WsResourceCapability
`deleteProperty, getProperty, getWsResource, insertProperty, updateProperty`

Methods inherited from interface org.apache.muse.core.Capability
`getActions, getCapabilityURI, getEnvironment, getLog, getMessageHandler, getPersistence, getResource, initializeCompleted, prepareShutdown, setCapabilityURI, setEnvironment, setLog, setMessageHandlers, setPersistence, setResource`

Methods inherited from interface org.apache.muse.core.Initialization
`hasBeenInitialized, initialize`

Methods inherited from interface org.apache.muse.core.InitializationParameters
`getInitializationParameter, getInitializationParameters, setInitializationParameters`

Methods inherited from interface org.apache.muse.core.Shutdown
`hasBeenShutdown, shutdown`

Constructor Detail

### SimpleManageabilityCharacteristics

    public SimpleManageabilityCharacteristics()

Method Detail

### addManageabilityCapability

    public void addManageabilityCapability(java.lang.String capabilityURI)

  Specified by:
    `addManageabilityCapability` in interface `ManageabilityCharacteristics`
  Parameters:
    `capabilityURI` - A URI representing one of the manageability capabilities that is implemented by the resource.

### getManageabilityCapability

    public java.lang.String[] getManageabilityCapability()

  Specified by:
    `getManageabilityCapability` in interface `ManageabilityCharacteristics`
  Returns:
    An array of URIs (strings), where each URI defines one manageability capability exposed by the resource.

### getPropertyNames

    public QName[] getPropertyNames()

  Description copied from interface: `org.apache.muse.ws.resource.WsResourceCapabilityProperties`
  Concrete capability classes that define properties MUST override this method and provide the names of the properties.

  Specified by:
    `getPropertyNames` in interface `org.apache.muse.ws.resource.WsResourceCapabilityProperties`
  Overrides:
    `getPropertyNames` in class `AbstractWsResourceCapability`

### hasManageabilityCapability

    public boolean hasManageabilityCapability(java.lang.String capabilityURI)

  Specified by:
    `hasManageabilityCapability` in interface `ManageabilityCharacteristics`
  Parameters:
    `capabilityURI` -
  Returns:
    True, if the URI has been added to the list of capability URIs.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD